//
//  ViewController.m
//  test1
//
//  Created by iOS on 17/3/24.
//  Copyright © 2017年 iOS. All rights reserved.
//

#import "ViewController.h"
#import "CollectionViewCell.h"


@interface ViewController ()<UICollectionViewDelegate,UICollectionViewDataSource>
@property(nonatomic,strong)UICollectionView *collectView;
@property(nonatomic,strong)UICollectionViewFlowLayout *layout;
//数组存放每列的总高度
@property(nonatomic,strong)NSMutableArray *colsHeight;
//单元格的宽度
@property(nonatomic,assign)CGFloat colWidth;

@end
#define BOUNDS [UIScreen mainScreen].bounds

@implementation ViewController
//完成布局前的初始工作

- (void)viewDidLoad {
    [super viewDidLoad];
    
    _layout=[[UICollectionViewFlowLayout alloc]init];
    [_layout prepareLayout];
    
   
    //设置每个cell与相邻的cell之间的间距
    _layout.minimumInteritemSpacing = 3;
    _layout.minimumLineSpacing=2;
    [self collectView];
    // Do any additional setup after loading the view, typically from a nib.
}
-(UICollectionView *)collectView
{
    if (!_collectView) {
        //布局
        
        _collectView=[[UICollectionView alloc]initWithFrame:CGRectMake(5, 5, BOUNDS.size.width-10, BOUNDS.size.height-10) collectionViewLayout:_layout];
        _collectView.backgroundColor=[UIColor whiteColor];
        _collectView.delegate=self;
        _collectView.backgroundColor=[UIColor grayColor];
        _collectView.dataSource=self;
        //注册的时候，一定不要忘了forCellWithReuseIdentifier
         [_collectView registerClass:[CollectionViewCell class] forCellWithReuseIdentifier:@"cellID"];
        _collectView.showsVerticalScrollIndicator=YES;
        _collectView.showsHorizontalScrollIndicator=YES;
        [self.view addSubview:_collectView];
    }
    return _collectView;
}

//一共有多少个组
-(NSInteger)numberOfSectionsInCollectionView:(UICollectionView *)collectionView
{
    return 1;
}
//每组多少个cell
-(NSInteger)collectionView:(UICollectionView *)collectionView numberOfItemsInSection:(NSInteger)section
{
    return 100;
}

-(UICollectionViewCell *)collectionView:(UICollectionView *)collectionView cellForItemAtIndexPath:(NSIndexPath *)indexPath
{
    //这里的cellID 要跟注册的时候保持一致
    static NSString *cellId=@"cellID";
    CollectionViewCell *cell=[collectionView dequeueReusableCellWithReuseIdentifier:cellId forIndexPath:indexPath];
  cell.textF.text=@"测试";
    return cell;
}
//定义每一个cell的大小
- (CGSize)collectionView:(UICollectionView *)collectionView layout:(UICollectionViewLayout*)collectionViewLayout sizeForItemAtIndexPath:(NSIndexPath *)indexPath
{
    return CGSizeMake(BOUNDS.size.width/3-7.5, 100);
}

//cell的点击事件
-(void)collectionView:(UICollectionView *)collectionView didSelectItemAtIndexPath:(NSIndexPath *)indexPath{
    //cell被点击后的响应事件

    NSLog(@"%ld",indexPath.row);
    
   
    
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


@end
